List member ledger entries
curl --request POST \
--url https://loyalty.example.com/lip/v1/ledger/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"account_id": "<string>",
"operations": [
"<string>"
],
"occurred_from": "2023-11-07T05:31:56Z",
"occurred_until": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"limit": 50
}
'import requests
url = "https://loyalty.example.com/lip/v1/ledger/list"
payload = {
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"account_id": "<string>",
"operations": ["<string>"],
"occurred_from": "2023-11-07T05:31:56Z",
"occurred_until": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
protocol_version: '<string>',
profile: '<string>',
request_id: '<string>',
idempotency_key: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source: {system: '<string>', instance: '<string>'}
},
member_id: '<string>',
program_id: '<string>',
account_id: '<string>',
operations: ['<string>'],
occurred_from: '2023-11-07T05:31:56Z',
occurred_until: '2023-11-07T05:31:56Z',
cursor: '<string>',
limit: 50
})
};
fetch('https://loyalty.example.com/lip/v1/ledger/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"processed_at": "2023-11-07T05:31:56Z"
},
"entries": [
{
"entry_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"account_id": "<string>",
"operation": "<string>",
"unit": "<string>",
"amount": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"related_entry_id": "<string>",
"order_id": "<string>",
"location_id": "<string>",
"adjustment_id": "<string>",
"reservation_id": "<string>",
"classification": "<string>",
"reason": "<string>",
"qualifies_for_tier": true
}
],
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Ledger
List member ledger entries
POST
/
ledger
/
list
List member ledger entries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Minimum array length:
1Allowed value:
"accrual"Required string length:
1 - 512Required range:
1 <= x <= 100⌘I